import { jsx } from "react/jsx-runtime";
import { X as X$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const X = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "X", ...props, children: /* @__PURE__ */ jsx(X$1, { weight: variant }) });
  }
);
X.displayName = "X";
Object.assign(X, { isGdsIcon: true });
export {
  X
};
